# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/File.pm) perl(IO/Select.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:		egd
Summary: 	Entropy Gathering Daemon
Version:	0.9
Release:	alt1_9
License:	GPL+ or MIT
Group:		File tools
Source0:	http://download.sourceforge.net/egd/%{name}-%{version}.tar.gz
URL:		http://egd.sourceforge.net/
# https://bugzilla.redhat.com/show_bug.cgi?id=784384
# https://sourceforge.net/tracker/?func=detail&aid=3479661&group_id=13778&atid=113778
Patch0:         egd-0.9-ip-neigh.patch
BuildRequires:	perl(Digest/SHA1.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(IO/Socket.pm)
BuildArch:	noarch
# These are necessary for egd to do anything useful for entropy.
Requires:	procps iproute coreutils util-linux tcpdump
Source44: import.info

%description
EGD is an Entropy Gathering Daemon meant to be used on systems that can run GPG 
but which don't have a convenient (or reliable) source of random bits. It is a 
regular user-space program that sits around, running programs like 'w' and 
'last' and 'vmstat', collecting the randomness (or at least the 
unpredictability) inherent in the output of these system statistics programs 
when used on a reasonably busy system. It slowly stirs the output of these 
gathering programs into a pool of entropy, much like the linux kernel device, 
and allows other programs to read out random bits from this pool.

%prep
%setup -q
%patch0 -p1 -b .neigh

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
# Test doesn't work on F-9 builder. No idea why. Works fine locally.
# make test

%files
%doc COPYING COPYING.xfree86 README
%{_bindir}/egd.pl

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_9
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_8
- fc import

